#ifndef __IDT_H__
#define __IDT_H__

#pragma pack(1)

typedef struct _IDTR { 
	unsigned short Limit;
	unsigned long Base;
} IDTR, *PIDTR; 

typedef struct _IDTENTRY{
	unsigned short OffsetLow;
	unsigned short Selector;
	unsigned char Reserved;
	unsigned char Always1:3;
	unsigned char Type:1;
	unsigned char Always0:1;
	unsigned char Dpl:2;
	unsigned char Present:1;
	unsigned short OffsetHigh;
} IDTENTRY, *PIDTENTRY; 

#pragma pack()


void HookInt(UCHAR interrupt, PVOID NewHandler, PVOID OldHandler);
void UnHookInt(UCHAR interrupt, PVOID OldHandler);

#endif